swagger-petstore-0.1.0.0: Auto-generated swagger-petstore API Client

Safe Haskell | None
Language | Haskell2010

SwaggerPetstore.API.FakeClassnameTags123

Contents

- Operations
  - FakeClassnameTags123
    - testClassname

Description

Synopsis

- testClassname :: (Consumes TestClassname contentType, MimeRender contentType Client) => ContentType contentType -> Accept accept -> Client -> SwaggerPetstoreRequest TestClassname contentType Client accept
- data TestClassname

# Operations

## FakeClassnameTags123

### testClassname

testClassname Source #

Arguments

:: (Consumes TestClassname contentType, MimeRender contentType Client) |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> Client | "body" - client model
-> SwaggerPetstoreRequest TestClassname contentType Client accept |

    PATCH /fake_classname_test

To test class name in snake case

AuthMethod: `AuthApiKeyApiKeyQuery`

data TestClassname Source #

Instances

Produces TestClassname MimeJSON Source # |
    application/json
Consumes TestClassname MimeJSON Source # |
    application/json
HasBodyParam TestClassname Client Source # | Body Param "body" - client model
Methods setBodyParam :: (Consumes TestClassname contentType, MimeRender contentType Client) => SwaggerPetstoreRequest TestClassname contentType res accept -> Client -> SwaggerPetstoreRequest TestClassname contentType res accept Source #